#!/bin/sh

WGET=`which wget`
DOWNLOAD_SITE="ftp://ftp.x.org/"
DOWNLOAD_URL="${DOWNLOAD_SITE}/pub/X11R7.0/src/"

MODULES="app data doc font lib proto util"

if test -z "${WGET}"; then
	echo "wget not found"
	exit 1
fi

CWD=`pwd`
for MODULE in ${MODULES}
do
	mkdir -p ${MODULE}
	cd ${MODULE}
	${WGET} "${DOWNLOAD_URL}/${MODULE}/"
	FILES=`sed -n -e 's;.*HREF="\(.*\.tar\.bz2\)".*;\1;p' index.html`
	rm index.html

	for FILE in ${FILES}
	do
		DIR=`echo ${FILE} | sed -e 's;\(.*\)\.tar\.bz2;\1;'`
		test -d ${DIR} && continue
		test -f ${FILE} && continue

		${WGET} "${DOWNLOAD_URL}/${MODULE}/${FILE}"
#		tar xzf ${FILE}
#		rm ${FILE}
	done

	cd "${CWD}"
done

exit 0
